import { ElementRef } from '@angular/core';
export declare type BsButtonStyle = 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'light' | 'dark' | 'link' | 'outline-primary' | 'outline-secondary' | 'outline-success' | 'outline-danger' | 'outline-warning' | 'outline-info' | 'outline-light' | 'outline-dark';
export declare type BsButtonSize = 'sm' | 'lg';
export declare class ButtonComponent {
    style?: BsButtonStyle;
    size?: BsButtonSize;
    type: 'button' | 'submit' | 'reset';
    block: boolean;
    dropdownToggle: boolean;
    dropdownToggleSplit: boolean;
    isActive: boolean;
    isDisabled: boolean;
    _hostClassBtn: boolean;
    protected _tagName: string;
    constructor(_host: ElementRef);
    readonly _role: string | undefined;
    readonly _hostClassBtnPrimary: boolean;
    readonly _hostClassBtnSecondary: boolean;
    readonly _hostClassBtnSuccess: boolean;
    readonly _hostClassBtnDanger: boolean;
    readonly _hostClassBtnWarning: boolean;
    readonly _hostClassBtnInfo: boolean;
    readonly _hostClassBtnLight: boolean;
    readonly _hostClassBtnDark: boolean;
    readonly _hostClassBtnLink: boolean;
    readonly _hostClassBtnOutlinePrimary: boolean;
    readonly _hostClassBtnOutlineSecondary: boolean;
    readonly _hostClassBtnOutlineSuccess: boolean;
    readonly _hostClassBtnOutlineDanger: boolean;
    readonly _hostClassBtnOutlineWarning: boolean;
    readonly _hostClassBtnOutlineInfo: boolean;
    readonly _hostClassBtnOutlineLight: boolean;
    readonly _hostClassBtnOutlineDark: boolean;
    readonly _hostClassBtnSm: boolean;
    readonly _hostClassBtnLg: boolean;
    readonly _hostClassDropdownToggle: boolean;
    readonly _hostType: "button" | "submit" | "reset" | undefined;
    readonly _hostDisabled: string | undefined;
    readonly _hostAriaDisabled: string | undefined;
    readonly _hostAriaPressed: string | undefined;
}
