import { DateRangeController } from '@lightweightform/core';
import { BsDatepickerConfig } from 'ngx-bootstrap/datepicker';
import { FieldComponentCommon } from '../create-field-component';
export declare const I18N_DATE_RANGE_SEPARATOR_KEY = "BS_DATE_RANGE_SEPARATOR";
declare const DateRangeComponent_base: typeof DateRangeController & (new (...args: any[]) => FieldComponentCommon);
export declare class DateRangeComponent extends DateRangeComponent_base implements FieldComponentCommon {
    _dateFormat: string;
    _separator: string;
    _dummyValue: [Date, Date] | null;
    protected _settingValue: boolean;
    protected _disposeDateRangeObserve: () => void;
    readonly dateFormat: string;
    readonly separator: string;
    readonly bsConfig: Partial<BsDatepickerConfig>;
    _onDateRangePickerChange(tuple: [Date, Date] | null): void;
    protected lfOnInit(): void;
    protected lfOnDestroy(): void;
}
