import { ElementRef } from '@angular/core';
export declare type BsDropdownItemType = 'item' | 'divider' | 'text' | 'header';
export declare class DropdownItemComponent {
    itemType: BsDropdownItemType;
    isActive: boolean;
    isDisabled: boolean;
    protected _tagName: string;
    constructor(_host: ElementRef);
    readonly _hostClassDropdownItem: boolean;
    readonly _hostClassDropdownDivider: boolean;
    readonly _hostClassDropdownItemText: boolean;
    readonly _hostClassDropdownHeader: boolean;
    readonly _hostClassDisabled: boolean;
    readonly _hostDisabled: string | undefined;
}
