import { SelectMultipleController } from '@lightweightform/core';
import { FieldComponentCommon } from '../create-field-component';
/**
 * Key used to translate the "no options" text of the checkbox group component.
 */
export declare const I18N_CHECKBOX_GROUP_NO_OPTIONS_KEY = "BS_CHECKBOX_GROUP_NO_OPTIONS";
declare const CheckboxGroupComponent_base: typeof SelectMultipleController & (new (...args: any[]) => FieldComponentCommon);
export declare class CheckboxGroupComponent extends CheckboxGroupComponent_base implements FieldComponentCommon {
    displayInline?: boolean;
    _noOptionsText: string;
    readonly noOptionsText: string;
    _onOptionChange(option: any, event: any): void;
}
