import { DateController } from '@lightweightform/core';
import { BsDatepickerConfig } from 'ngx-bootstrap/datepicker';
import { FieldComponentCommon } from '../create-field-component';
export declare const I18N_DATE_FORMAT_KEY = "BS_DATE_FORMAT";
declare const DateComponent_base: typeof DateController & (new (...args: any[]) => FieldComponentCommon);
export declare class DateComponent extends DateComponent_base implements FieldComponentCommon {
    _dateFormat: string;
    readonly dateFormat: any;
    readonly bsConfig: Partial<BsDatepickerConfig>;
    _onDatePickerChange(date: Date): void;
}
