import { SelectSingleController, SelectSingleNumberController } from '@lightweightform/core';
import { FieldComponentCommon } from '../create-field-component';
/**
 * Key used to translate the "no options" text of the select component.
 */
export declare const I18N_SELECT_NO_OPTIONS_KEY = "BS_SELECT_NO_OPTIONS";
declare const SelectComponent_base: typeof SelectSingleController & (new (...args: any[]) => FieldComponentCommon);
export declare class SelectComponent extends SelectComponent_base implements FieldComponentCommon {
    _noOptionsText: string;
    readonly noOptionsText: any;
    _onSelectChange(event: any): void;
}
declare const SelectNumberComponent_base: typeof SelectSingleNumberController & (new (...args: any[]) => FieldComponentCommon);
export declare class SelectNumberComponent extends SelectNumberComponent_base implements FieldComponentCommon {
    _noOptionsText: string;
    readonly noOptionsText: any;
    _onSelectChange(event: any): void;
}
