import { FormController } from '@lightweightform/core';
import { BsActionsMenuAction } from '../actions-menu/actions-menu.component';
import { ModalComponent } from '../modal/modal.component';
import { FormHelpComponent } from './form-help/form-help.component';
export declare const I18N_FORM_HELP_KEY = "BS_FORM_HELP";
export declare const I18N_FORM_REMOVE_KEY = "BS_FORM_REMOVE";
export declare const I18N_FORM_ENSURE_REMOVE_KEY = "BS_FORM_ENSURE_REMOVE";
export declare const I18N_FORM_CANCEL_REMOVE_KEY = "BS_FORM_CANCEL_REMOVE";
export declare const I18N_FORM_CONFIRM_REMOVE_KEY = "BS_FORM_CONFIRM_REMOVE";
export declare class FormComponent extends FormController {
    _helpText: string;
    _removeFormText: string;
    _ensureRemovalText: string;
    _cancelRemovalText: string;
    _confirmRemovalText: string;
    protected _helpComponent: FormHelpComponent;
    protected _helpModal: ModalComponent;
    protected _removeModal: ModalComponent;
    protected _hasHelp: boolean;
    readonly helpText: any;
    readonly removeFormText: any;
    readonly ensureRemovalText: any;
    readonly cancelRemovalText: any;
    readonly confirmRemovalText: any;
    readonly _isRemovable: boolean;
    readonly _formActions: BsActionsMenuAction[];
    _showHelpModal(): void;
    _showRemoveModal(): void;
    _cancelFormDeletion(): void;
    _confirmFormDeletion(): void;
    protected lfAfterComponentViewInit(): void;
}
